summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--src/main.cc2
-rw-r--r--src/py_amount.cc3
-rw-r--r--src/py_utils.cc1
-rw-r--r--src/pyinterp.h2
-rw-r--r--src/pyutils.h2
-rw-r--r--src/xml.cc6
-rwxr-xr-xverify.sh18
7 files changed, 18 insertions, 16 deletions
diff --git a/src/main.cc b/src/main.cc
index c8e5614d..a9f3f607 100644
--- a/src/main.cc
+++ b/src/main.cc
@@ -31,7 +31,9 @@
#include "utils.h"
#include "option.h"
+#if defined(HAVE_EXPAT) || defined(HAVE_XMLPARSE)
#include "gnucash.h"
+#endif
#include "qif.h"
#include "ofx.h"
diff --git a/src/py_amount.cc b/src/py_amount.cc
index 6f85f44d..536c4435 100644
--- a/src/py_amount.cc
+++ b/src/py_amount.cc
@@ -35,6 +35,7 @@
#include <boost/python/exception_translator.hpp>
#include <boost/python/implicit.hpp>
+#include <boost/python/args.hpp>
namespace ledger {
@@ -139,7 +140,7 @@ void export_amount()
.def(init<long>())
.def(init<std::string>())
- .def("exact", &amount_t::exact, arg("value"),
+ .def("exact", &amount_t::exact, boost::python::arg("value"),
"Construct an amount object whose display precision is always equal to its\n\
internal precision.")
.staticmethod("exact")
diff --git a/src/py_utils.cc b/src/py_utils.cc
index 09fb9740..73961d43 100644
--- a/src/py_utils.cc
+++ b/src/py_utils.cc
@@ -31,7 +31,6 @@
#include "pyinterp.h"
#include "pyutils.h"
-#include "pyfstream.h"
#include <boost/python/module.hpp>
#include <boost/python/def.hpp>
diff --git a/src/pyinterp.h b/src/pyinterp.h
index a421f5b9..99a737a5 100644
--- a/src/pyinterp.h
+++ b/src/pyinterp.h
@@ -39,8 +39,6 @@
#include <boost/python.hpp>
#include <Python.h>
-#include "pyfstream.h"
-
namespace ledger {
class python_interpreter_t : public xml::xpath_t::scope_t
diff --git a/src/pyutils.h b/src/pyutils.h
index 0c309650..216af8b7 100644
--- a/src/pyutils.h
+++ b/src/pyutils.h
@@ -32,6 +32,8 @@
#ifndef _PY_UTILS_H
#define _PY_UTILS_H
+#include "pyfstream.h"
+
template <typename T, typename TfromPy>
struct object_from_python
{
diff --git a/src/xml.cc b/src/xml.cc
index 2b84cb52..9b14f97c 100644
--- a/src/xml.cc
+++ b/src/xml.cc
@@ -435,6 +435,8 @@ document_t * document_t::parser_t::parse(std::istream& in)
return doc.release();
}
+#endif // HAVE_EXPAT || HAVE_XMLPARSE
+
node_t * commodity_node_t::children() const
{
// jww (2007-04-19): Need to report the commodity and its details
@@ -558,8 +560,6 @@ node_t * journal_node_t::children() const
return parent_node_t::children();
}
-#endif // defined(HAVE_EXPAT) || defined(HAVE_XMLPARSE)
-
void output_xml_string(std::ostream& out, const string& str)
{
for (const char * s = str.c_str(); *s; s++) {
@@ -568,7 +568,7 @@ void output_xml_string(std::ostream& out, const string& str)
out << "&lt;";
break;
case '>':
- out << "&rt;";
+ out << "&gt;";
break;
case '&':
out << "&amp;";
diff --git a/verify.sh b/verify.sh
index c189f2da..7d67aaa2 100755
--- a/verify.sh
+++ b/verify.sh
@@ -44,17 +44,17 @@ function build_ledger() {
make fullcheck || exit 1
}
-#build_distcheck
+build_distcheck || exit 1
-build_ledger normal
-build_ledger devel --devel
-build_ledger python --python
+build_ledger normal || exit 1
+build_ledger devel --devel || exit 1
+build_ledger python --python || exit 1
-build_ledger debug --debug
-#build_ledger boost_debug --debug --boost d
-build_ledger debug_python --debug --python
+build_ledger debug --debug || exit 1
+#build_ledger boost_debug --debug --boost d || exit 1
+build_ledger debug_python --debug --python || exit 1
-build_ledger optimized --opt
-build_ledger opt_python --opt --python
+build_ledger optimized --opt || exit 1
+build_ledger opt_python --opt --python || exit 1
exit 0